Package org.apache.commons.collections4.map

# Class EntrySetToMapIteratorAdapter<K,V>

java.lang.Object
org.apache.commons.collections4.map.EntrySetToMapIteratorAdapter<K,V>

Type Parameters:
  `K` - The type of the keys in the map
  `V` - The type of the values in the map

All Implemented Interfaces:
  `Iterator<K>`, `MapIterator<K,V>`, `ResettableIterator<K>`

Direct Known Subclasses:
  `AbstractSortedMapDecorator.SortedMapIterator`

public class EntrySetToMapIteratorAdapter<K,V> extends Object implements MapIterator<K,V>, ResettableIterator<K>
Adapts a Map entrySet to the MapIterator interface.

Since:
  4.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EntrySetToMapIteratorAdapter(Set<Map.Entry<K,V>> entrySet)`
  Create a new EntrySetToMapIteratorAdapter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Map.Entry<K,V>`
  `current()`
  Gets the currently active entry.
  `K`
  `getKey()`
  Gets the current key, which is the key returned by the last call to `next()`.
  `V`
  `getValue()`
  Gets the current value, which is the value associated with the last key returned by `next()`.
  `boolean`
  `hasNext()`
  Checks to see if there are more entries still to be iterated.
  `K`
  `next()`
  Gets the next key from the `Map`.
  `void`
  `remove()`
  Removes the last returned key from the underlying `Map` (optional operation).
  `void`
  `reset()`
  Resets the iterator back to the position at which the iterator was created.
  `V`
  `setValue(V value)`
  Sets the value associated with the current key (optional operation).

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Constructor Details

  - ### EntrySetToMapIteratorAdapter

    public EntrySetToMapIteratorAdapter(Set<Map.Entry<K,V>> entrySet)
    Create a new EntrySetToMapIteratorAdapter.
    Parameters:
      `entrySet` - The entrySet to adapt

- ## Method Details

  - ### current

    protected Map.Entry<K,V> current()
    Gets the currently active entry.
    Returns:
      Map.Entry<K, V>

  - ### getKey

    public K getKey()
    Gets the current key, which is the key returned by the last call to `next()`.
    Specified by:
      `getKey` in interface `MapIterator<K,V>`
    Returns:
      The current key.

  - ### getValue

    public V getValue()
    Gets the current value, which is the value associated with the last key returned by `next()`.
    Specified by:
      `getValue` in interface `MapIterator<K,V>`
    Returns:
      The current value.

  - ### hasNext

    public boolean hasNext()
    Checks to see if there are more entries still to be iterated.
    Specified by:
      `hasNext` in interface `Iterator<K>`
    Specified by:
      `hasNext` in interface `MapIterator<K,V>`
    Returns:
      `true` if the iterator has more elements

  - ### next

    public K next()
    Gets the next key from the `Map`.
    Specified by:
      `next` in interface `Iterator<K>`
    Specified by:
      `next` in interface `MapIterator<K,V>`
    Returns:
      The next key in the iteration.

  - ### remove

    public void remove()
    Removes the last returned key from the underlying `Map` (optional operation).

    This method can be called once per call to `next()`.

    Specified by:
      `remove` in interface `Iterator<K>`
    Specified by:
      `remove` in interface `MapIterator<K,V>`

  - ### reset

    public void reset()
    Resets the iterator back to the position at which the iterator was created.
    Specified by:
      `reset` in interface `ResettableIterator<K>`

  - ### setValue

    public V setValue(V value)
    Sets the value associated with the current key (optional operation).
    Specified by:
      `setValue` in interface `MapIterator<K,V>`
    Parameters:
      `value` - The new value.
    Returns:
      The previous value.